<?php

namespace App\Exports;

use App\Reticula;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

class ReticulaExport implements FromView
{
    protected $nombre;
    protected $clave;
    protected $especialidad;

    public function __construct(String $nombre, String $clave, String $especialidad,)
    {
        $this->nombre = $nombre;
        $this->clave = $clave;
        $this->especialidad = $especialidad;
    }

    public function view(): View
    {
        if ($this->nombre == "" && $this->clave == "" && $this->especialidad == "") {
            return view("reticula.tabla", ['ret' => Reticula::with('planest')->where('status_rec', '1')->get()]);
        } else {
            $ret = Reticula::where('status_rec', '1');
            if ($this->nombre != null) {
                $nombre = $this->nombre;
                $ret = $ret->where('nombre_rec', 'like', '%' . $nombre . '%');
            }
            if ($this->clave != null) {
                $clave = $this->clave;
                $ret = $ret->where('claveRet_rec', 'like', '%' . $clave . '%');
            }
            if ($this->especialidad != null) {
                $especialidad = $this->especialidad;
                $ret = $ret->where('cve_planest', $especialidad);
                $ret = $ret->with("planest");
            }
            $ret = $ret->get();
            return view("reticula.tabla", ['ret' => $ret]);
        }
    }
}
